function AllResults = PCA_GUI_DataFormation
% Editable template function for data preparation for PCA_GUI
% it is recomended to edit only "EDITABLE" parts
    
    % Head
    clc;
    AllResults = cell(1,5);
    AllResInd = 0;
    
    disp('__________________________________________________________________');
    disp('|=================================================================');
    disp('| PCA_GUI run');
    disp('|');
    disp('|==================================================================');
    disp(' ');
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % EDITABLE - BEGIN
    %
    % first formation preparation
        clear data;
        load 'SampleData' % source data for this formation (name of loaded variable HAS TO BE "data") - described in User Guide
        AllResInd = AllResInd + 1; % incresement of an index (DO NOT EDIT)
        Formation_Info = 'SampleDataDescription'; % description of the formation to be described in the GUI
        % datasets preparation
            dataSetCount = 2; % numbers of datasets = viewpoints of PCA
            dataSets_Infos = {'MV', ... % first viewpoint description (measured variables)
                              'PV, 9 Vs'}; % second viewpoint description (9 physiological variables)
            OriginalDataIntervals = cell(1, dataSetCount); % preparation of cell for PCA (DO NOT EDIT)
            OriginalDataIntervals{1} = [1, length(data{2}(:,1))]; % selected interval from source data to be participated in PCA for 1st dataset (whole data interval)
            OriginalDataIntervals{2} = [1, 80; 90, length(data{2}(:,1))]; % selected interval from source data to be participated in PCA for 2nd dataset (whole data interval without values vith index from 81 to 89)
            dataVariables = {[1:3,5,7,10], ... % selected variables to be participated in PCA for 1st dataset
                             [16:21,23,26,28]}; % selected variables to be participated in PCA for 2nd dataset
        % classification preparation - this is only an example of a preparation of a classification - these prepared clusters are not clusters at all
            ClassViewpoints = {'Viewpoint 1', 'Viewpoint 2'}; % description of prepared classifications
            ClassViews = cell(2, 2); % cell(2, count of classification viewpoints)
            ClassViews{1,1} = [1 15 1; 16 70 2; 71 120 3; 121 174 2; 175 200 1]; % values from 1 to 15 and from 175 to 200 lies in 1st cluster ("Nonclaffified"), values from 16 to 70 and from 121 to 174 lies in 2nd cluster("cluster 1"), values from 71 to 120 lies in 3rd cluster("cluster 2")
            ClassViews{2,1} = {'Nonclassified', 'cluster 1', 'cluster 2'}; % clusters description of the 1st classification
            % ClassViews{1,2} = [65 179 2]; % values from 65 to 179 lies in 2.nd cluster ("nice"), other points will not be classified - this example will cause a visualization error, each point has to be classified
            ClassViews{1,2} = [65 179 2; 1 64 1; 180 200 1]; % correct description of an example above
            ClassViews{2,2} = {'Nonclassified', 'nice', 'ugly'}; % clusters description of the 2nd classification
        % merging of prepared formation
        % DO NOT EDIT!
            dataSetPar = {dataSetCount, OriginalDataIntervals, dataVariables};
            Classif = {ClassViews, ClassViewpoints};
            AllResults{AllResInd, 1} = data;
            AllResults{AllResInd, 2} = Formation_Info;
            AllResults{AllResInd, 3} = dataSets_Infos;
            AllResults{AllResInd, 4} = dataSetPar;
            AllResults{AllResInd, 5} = Classif;
    % EDITABLE - END
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % EDITABLE - BEGIN
    %
    % here can be preparation of the second and the others formations
    % according to previous template
    
    % EDITABLE - END
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Save prepared data for PCA_GUI (DO NOT EDIT)
    save 'AllResults.mat' 'AllResults'
end










